package cn.com.qmth.stmms.common.enums;

import java.util.LinkedList;
import java.util.List;

/**
 * 轨迹次数判定策略
 *
 */
public enum TrackCountPolicy {
    LE("小于等于", 1), EQ("等于", 2);

    private String name;

    private int value;

    private static List<TrackCountPolicy> options;

    private TrackCountPolicy(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static TrackCountPolicy findByValue(int value) {
        for (TrackCountPolicy c : TrackCountPolicy.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }

    public static List<TrackCountPolicy> getOptionList() {
        if (options == null) {
            options = new LinkedList<>();
            for (TrackCountPolicy status : TrackCountPolicy.values()) {
                options.add(status);
            }
        }
        return options;
    }
}
